De oudere, eerste generatie Snapdragon-toestellen zullen na CyanogenMod 7.x niet meer officieel worden ondersteund. Dit laat CyanogenMod via Google+ weten. De oudere Snapdragon-toestellen bestaan onder andere uit de HTC Desire, Hero, Legend, Tattoo, Wildfire, Google Nexus One, LG Optimus One, Samsung Galaxy Ace, Galaxy Mini, Sony Ericsson Xperia Mini en Xperia X10. Een groot gedeelte van deze smartphones wordt nog dagelijks door vele Android-bezitters gebruikt.

Volgens CyanogenMod moet er een een custom hboot worden ontwikkeld waardoor het interne geheugen opnieuw gepartitioneerd kan worden. Daarnaast hebben de meeste oudere toestellen geen mediabibliotheek die compatibel is met de nieuwe API’s van Ice Cream Sandwich.

Dit zegt CyanogenMod over de ondersteuning van Android 4.0 en 4.1:

Maar kunnen deze toestellen wel Ice Cream Sandwich of zelfs Jelly Bean draaien? Het antwoord is: ja. Met genoeg inspanning, tijd en hacks kan de software werkend worden gemaakt. Denken we dat dit de gebruikerservaring gaat verbeteren? Nee. [..] De optie bestaat wel om Android 4.0 of hoger op een dergelijk toestel te draaien. Wij raden deze software niet aan, maar ze zijn gemakkelijk [XDA, AP.] te vinden.

De complete lijst met CyanogenMod 7-toestellen bestaat uit:

  • Commtiva Z71
  • Geeksphone One
  • Geeksphone Zero
  • Google Nexus One
  • HTC Aria
  • HTC Desire
  • HTC Desire CDMA
  • HTC Droid Eris
  • HTC Droid Incredible
  • HTC EVO 4G
  • HTC Hero
  • HTC Hero CDMA
  • HTC Legend
  • HTC MyTouch 3G
  • HTC Wildfire
  • HTC Tattoo
  • Huawei IDEOS
  • Huawei Pulse
  • LG Optimus Chic
  • LG Optimus One
  • LG Optimus Pro
  • LG Univa
  • Motorola Cliq
  • Samsung Galaxy Ace
  • Samsung Galaxy Mini
  • Sony Ericsson Xperia Mini
  • Sony Ericsson Xperia X10
  • ZTE Blade